//ignorei18n_start
/**variable initialization */
var connectionUrl,
	currentUrl,
	nav = [
		{
			title: "Welcome AD360",
			url: "index.html",
			parentType: "mainParent noIcon",
			parentName: "Home",
			children: [
				{
					title: "Contact Us",
					url: "welcome/contact-zohocorp.html",
					parentType: "child",
					parentName: "Home",
				},
			],
		},
		{
			title: "Getting Started",
			url: "getting-started/getting-started.html",
			parentType: "mainParent",
			parentName: "Home",
			children: [
				{
					title: "System Requirements",
					url: "getting-started/system-requirements.html",
					parentType: "child",
					parentName: "Getting Started",
				},
				{
					title: "Installing and Uninstalling",
					url: "getting-started/installation.html",
					parentType: "child",
					parentName: "Getting Started",
				},
				{
					title: "Deployment Scenarios",
					url: "getting-started/deployment-scenarios.html",
					parentType: "child",
					parentName: "Getting Started",
				},
				{
					title: "Working with AD360",
					url: "getting-started/working.html",
					parentType: "child",
					parentName: "Getting Started",
				},
				{
					title: "Licensing",
					url: "getting-started/licensing.html",
					parentType: "child",
					parentName: "Getting Started",
				}, {
					title: "Migrating PGSQL to MSSQL",
					url: "getting-started/migrating-postgresql-mssql.html",
					parentType: "child",
					parentName: "Getting Started",
				},
			],
		}, {
			url: "home/dashboard-view.html",
			title: "Dashboard View",
			parentType: "mainParent",
			parentName: "Home",
		}, {
			title: "Reports",
			url: "reports/reports.html",
			parentType: "mainParent",
			parentName: "Home",
		}, {
			title: "Compliance",
			url: "compliance/compliance.html",
			parentType: "mainParent",
			parentName: "Home",
		}, {
			title: "Admin",
			url: "admin/admin.html",
			parentType: "mainParent",
			parentName: "Home",
			children: [
				{
					title: "Administration Settings",
					url: "admin/administration.html",
					parentType: "subParent",
					parentName: "Management",
					children: [
						{
							title: "AD360 Integration",
							url: "admin/administration/AD360-integration.html",
							parentType: "subParent",
							parentName: "Management",
						}, {
							title: "Manage Technician",
							url: "admin/administration/technician-management.html",
							parentType: "subParent",
							parentName: "Management",
						}, {
							title: "High Availability",
							url: "admin/administration/high-availability.html",
							parentType: "subParent",
							parentName: "Management",
						}
						,{
							title: "Auto Update",
							url: "admin/administration/auto-update.html",
							parentType: "subParent",
							parentName: "Management",
						}, 
						{
							title: "Logon Settings",
							url: "admin/administration/logon-settings.html",
							parentType: "subParent",
							parentName: "Management",
							children: [
								{
									title: "General",
									url: "admin/administration/logon-settings/ad360-general-captcha-block-user-settings.html",
									parentType: "subParent",
									parentName: "Management",
								},
								{
									title: "Single Sign-On",
									url: "admin/administration/logon-settings/single-sign-on.html",
									parentType: "subParent",
									parentName: "Management",
								},
								{
									title: "Smartcard Authentication",
									url: "admin/administration/logon-settings/smart-card-authentication.html",
									parentType: "subParent",
									parentName: "Management",
								},
								{
									title: "Two-factor Authentication",
									url: "admin/administration/logon-settings/two-factor-authentication.html",
									parentType: "subParent",
									parentName: "Management",
								},
								{
									title: "Allow/restrict IPs",
									url: "admin/administration/logon-settings/allow-restrict-access-ips.html",
									parentType: "subParent",
									parentName: "Management",
								},
							]
						}, {
							title: "Reverse Proxy",
							url: "admin/administration/reverse-proxy-configuration.html",
							parentType: "subParent",
							parentName: "Management",
						}, {
							title: "SIEM Integration",
							url: "admin/administration/ad360-siem-integration.html",
							parentType: "subParent",
							parentName: "Management",
						},
					],
				},
				{
					title: "General Settings",
					url: "admin/general-settings.html",
					parentType: "subParent",
					parentName: "Management",
					children: [
						{
							title: "Personalize",
							url: "admin/general-settings/personalize.html",
							parentType: "subParent",
							parentName: "Management",
						}, {
							title: "Product Settings",
							url: "admin/general-settings/product-settings.html",
							parentType: "subParent",
							parentName: "Management",
						}, {
							title: "SSL Certification Tool",
							url: "admin/general-settings/ssl-tool.html",
							parentType: "subParent",
							parentName: "Management",
							children: [
							{
								title: "What is SSL",
								url: "admin/general-settings/what-is-ssl.html",
								parentType: "subParent",
								parentName: "Management",
							}, ]
						}, {
							title: "Server Settings",
							url: "admin/general-settings/server-settings.html",
							parentType: "subParent",
							parentName: "Management",
							children: [
							{
								title: "Mail Settings",
								url: "admin/general-settings/mail-settings.html",
								parentType: "subParent",
								parentName: "Management",
							}, {
								title: "SMS Settings",
								url: "admin/general-settings/sms-settings.html",
								parentType: "subParent",
								parentName: "Management",
							}, {
								title: "Proxy Settings",
								url: "admin/general-settings/proxy-settings.html",
								parentType: "subParent",
								parentName: "Management",
							}, {
								title: "Notification settings",
								url: "admin/general-settings/notification-settings.html",
								parentType: "subParent",
								parentName: "Management",
							}, ]
						}, {
							title: "Database Settings",
							url: "admin/general-settings/database-settings.html",
							parentType: "subParent",
							parentName: "Management",
							children: [
							{
								title: "Database Backup",
								url: "admin/general-settings/auto-backup.html",
								parentType: "subParent",
								parentName: "Management",
							}, {
								title: "Database Restore",
								url: "admin/general-settings/database-restore.html",
								parentType: "subParent",
								parentName: "Management",
							}, {
								title: "Database Configuration",
								url: "admin/general-settings/database-migration.html",
								parentType: "subParent",
								parentName: "Management",
							}, ]
						}, {
								title: "API Settings",
								url: "admin/general-settings/rest-apis.html",
								parentType: "subParent",
								parentName: "Management",
							}, {
								title: "Notification Center",
								url: "admin/general-settings/notification-center.html",
								parentType: "subParent",
								parentName: "Management",
							},
						],
				},
			],
		}, {
			title: "Send Support Info",
			url: "support/send-support-info.html",
			parentType: "mainParent",
			arentName: "Home",
		}, {
			title: "Knowledge Base",
			url: "kb/knowledge-base.html",
			parentType: "mainParent",
			parentName: "home",
			children: [
				{
					title: "Reset Admin Password",
					url: "kb/reset-password.html",
					parentType: "child",
					parentName: "Delegation",
				}, {
					title: "Change Admin Password",
					url: "kb/change-password.html",
					parentType: "child",
					parentName: "Delegation",
				}, {
					title: "Install as a Service",
					url: "kb/install-service.html",
					parentType: "child",
					parentName: "Delegation",
				}, {
					title: "Backup and Restore Database",
					url: "kb/backup-db.html",
					parentType: "child",
					parentName: "Delegation",
				}, {
					title: "Migrate Server",
					url: "kb/migrate-server.html",
					parentType: "child",
					parentName: "Delegation",
				}, {
					title: "Change Port Number",
					url: "kb/change-port.html",
					parentType: "child",
					parentName: "Delegation",
				}, {
					title: "Reset secondary authentication factor",
					url: "kb/reset-secondary-authentication-factor.html",
					parentType: "child",
					parentName: "Delegation",
				}, {
					title: "Enable NTLMv2 Single Sign-On",
					url: "kb/enable-NTLMv2-single-sign-on.html",
					parentType: "child",
					parentName: "Delegation",
				},
			],
		}, {
			title: "Troubleshooting Tips",
			url: "ts/troubleshooting.html",
			parentType: "mainParent",
			parentName: "home",
			children: [
				{
					title: "SSL Troubleshooting Tips",
					url: "ts/ssltroubleshooting.html",
					parentType: "subParent",
					parentName: "Delegation",
				},
			],
		},
		{
			title: "FAQ",
			url: "faq/faq.html",
			parentType: "mainParent",
			parentName: "home",
		},
	],
	bgColor = "#fff",
	rhsNav,
	rhsNavList = "",
	searchList = [],
	sections;
//initial hash handling
if (location.hash) {
	setTimeout(function () {
		window.scrollTo(0, 0);
	}, 1000);
}
/**variable initialization */

/**DOM Ready */
$(document).ready(function () {
	initializer();
});
/**DOM Ready */
function contextMenuHandler(selector) {
	$(selector).on("contextmenu", function (e) {
		var futureUrl = $(this).attr("href");
		var baseUrl = "/help/";
		var isFutureURLISSet = futureUrl.indexOf(baseUrl) == -1 ? false : true;
		var hostURL = window.location.href.substr(
			0,
			window.location.href.indexOf(baseUrl)
		);
		if (!isFutureURLISSet) {
			$(this).attr("data-href", futureUrl);
			$(this).attr("href", hostURL + baseUrl + futureUrl);
		}
	});
}
function checkConnection() {
	connectionUrl = window.location.href.substr(0, window.location.href.indexOf("/help/")) + "/help/";
}
function getRecursiveList(element) {
	if ($(element).closest("ul").prev().length) {
		return {
			text: $(element).closest("ul").prev().text(),
			url: $(element).closest("ul").prev().attr("href"),
		};
	}
}
function getNavitionObject() {
	var defaultObject = [
		{
			text: "Welcome AD360",
			url: "index.html",
		},
	];
	var ele = $(".in .active");
	var iteration = ele.parents("ul").length;
	var navMenuObject = [{ text: ele.text(), url: ele.attr("href") }];
	ele.parents("ul").each(function () {
		if (!$(this).hasClass("vertical-menu")) {
			navMenuObject.push(getRecursiveList($(this)));
		}
	});
	if (
		navMenuObject.length == 1 &&
		navMenuObject[0].text == "" &&
		navMenuObject[0].url == undefined
	) {
		return defaultObject;
	}
	return navMenuObject;
}
function buildMenu(data) {
	if (data.length > 0) {
		var ulCon = $("<ul/>");
		for (var i = 0; i < data.length; i++) {
			var liCon = $("<li/>");
			var alink = $("<a/>");
			alink.text(data[i].title);
			alink.attr("title", data[i].title);
			alink.attr("href", data[i].url);
			alink.attr("data-href", data[i].url);
			alink.attr("data-parent", data[i].parentName);
			alink.addClass(data[i].parentType);
			// As SAML Application pages are not having left menu option, Need to set its parent SSO.html as default URL so that no issue would in left menu naviation.
			var isSAMLAppPage =
				location.href.indexOf("admin/scheduling/task-scheduling/") != -1 &&
				data[i].url.indexOf(
					"admin/scheduling/task-scheduling/task-scheduling.html"
				) != -1;
			if (isSAMLAppPage || location.href.indexOf(data[i].url) != -1) {
				liCon.addClass("in");
				alink.addClass("active");
				currentUrl = data[i].url;
				//breadCrumb+=" &gt; <a href='"+data[i].url+"'>"+data[i].title+"</a> ";
			}
			liCon.append(alink);
			if (data[i].children && data[i].children.length > 0) {
				var childCon = buildMenu(data[i].children);
				liCon.append(childCon);
				liCon.addClass("arrow");
			} else {
				liCon.addClass("book");
			}
			ulCon.append(liCon);
		}
		//$(".breadcrumbWrapper").append(breadCrumb);
		return ulCon;
	}
}
function mobileMenuHandler() {
	$(".ic").on("click", function () {
		$(".menu-it").slideToggle();
		$(this).toggleClass("active");
		$(".lhs").toggleClass("active");
	});
	$(".mclo").on("click", function () {
		$(".lhs").removeClass("active");
		$(".ic").removeClass("active");
		$(".menu-it").slideUp();
	});
}
function initialHashHandling() {
	if (location.hash != "") {
		setTimeout(function () { $("html, body").stop().animate({ scrollTop: $(window.location.hash).offset().top - 130, }, 900, "swing"); }, 500);
	}
}
function innerLinksScrollingToId() {
	$("a[href*=\\#]").on("click", function (e) {
		var target = this.hash,
			$target = $(target);
		$("html, body")
			.stop()
			.animate(
				{
					scrollTop: $target.offset().top - 70,
				},
				900,
				"swing",
				function () {
					window.location.hash = target;
				}
			);
	});
}
function setSearchBackgroundColor() {
	if ($(window).innerWidth() > 1200) {
		bgColor = "#122331";
	}
}
//opens currect active page
function searchHandler() {
	var filter,
		testStr,
		txtValue,
		chk = 0;
	$(".searchField").keyup(function () {
		if ($(this).val() == "") {
			$(this).html("");
			chk = 1;
			$(".searchList, .searchListBg").hide();
			$(".searchBar, .mobSearch").removeClass("hideIcon");
		} else {
			$(".searchBar, .mobSearch").addClass("hideIcon");
//			$(".searchField").css("background", "#fff");
			$(".searchList, .searchListBg").show();
		}
		$(".searchList").html("");
		$(".meSearch").hide();
		filter = $(this).val();
		testStr = filter.toLowerCase();
		//			console.log(filter, testStr);
		for (i = 0; i < searchList.length; i++) {
			txtValue = searchList[i].title;
			var liHeightFix = "";
			if (searchList[i].clsName != undefined) {
				liHeightFix = searchList[i].clsName;
			}
			if (txtValue.toLowerCase().indexOf(testStr) > -1) {
				$(".searchList").append(
					"<li class='" +
					liHeightFix +
					"'><a href='" +
					searchList[i].url +
					"'><p> <span class='search-head'>" +
					searchList[i].title +
					"</span><span>" +
					searchList[i].cat +
					"</span></p></a></li>"
				);
			}
		}
		if ($(".searchList li").length <= 0) {
			$(".searchList").append(
				"<li class='noResult'><p>No results found</p></li>"
			);
			$(".meSearch").show();
			$(".meSearch").attr(
				"href",
				"https://www.manageengine.com/active-directory-360/help/search-results.html?query=" +
				filter
			);
			$(".meSearch").find("span").html(filter);
			$(".searchListBg").css("height", "80px");
		} else {
			$(".searchListBg").css("height", "160px");
		}
	});
}
function breadCrumbsGenerator() {
	var breadCrumbList = getNavitionObject();
	var breadCrumb = "";
	for (var i = breadCrumbList.length - 1; i >= 0; i--) {
		if (0 === i) {
			breadCrumb +=
				"<span class='gtIcon'>&nbsp;</span> <a style='pointer-events:none'>" +
				breadCrumbList[i].text +
				"</a>";
		} else {
			breadCrumb +=
				"<span class='gtIcon'>&nbsp;</span> <a href=" +
				breadCrumbList[i].url +
				">" +
				breadCrumbList[i].text +
				"</a>";
		}
	}
	$(".breadcrumbWrapper div").append(breadCrumb);
	contextMenuHandler(".breadcrumbWrapper a");
}

function menuBuilder() {
	$(".lhs > div").html(
		buildMenu(window.nav).addClass("vertical-menu").attr("id", "vMenu")
	);
	$("#vMenu li.in").parents("li").addClass("in");
	$("#vMenu a.active").parents("li.arrow").find(".mainParent").addClass("act");
	$("#vMenu a.active")
		.parentsUntil(".mainParent")
		.find(".in>a")
		.addClass("act");
	$(".container .lhs").css("height", $(window).innerHeight() - 100 + "px");
	contextMenuHandler(".vertical-menu li a");
	$(".vertical-menu li").each(function () {
		searchList.push({
			title: $(this).find("a").attr("title"),
			url: connectionUrl + $(this).find("a").attr("href"),
			cat: $(this).find("a").attr("data-parent"),
			clsName: $(this).find("a").attr("data-classname"),
		});
	});
}
function linkClickHanlder() {
	$(document).on(
		"click",
		".vertical-menu li a, .breadcrumbWrapper a",
		function (e) {
			$(this).attr("href", $(this).attr("data-href"));
			var isSAMLAppPage = location.href.indexOf("Application/sso/") != -1;
			if (isSAMLAppPage || location.href.indexOf(currentUrl) != -1) {
				var index = location.href.indexOf(currentUrl);
				if (isSAMLAppPage) {
					index = location.href.indexOf("Application/sso");
				}
				location.replace(location.href.slice(0, index) + $(this).attr("href"));
				e.preventDefault();
			}
		}
	);
	$(document).on("click", 'a[href^="#"]', function (event) {
		event.preventDefault();
		$("html, body").animate(
			{
				scrollTop: $($.attr(this, "href")).offset().top - 130,
			},
			500
		);
	});
	$(document).on("click", function (e) {
		if (!$(e.target).is(".searchField") || $(".searchField").val() != "") {
			$(".searchList, .searchListBg").hide();
//			$(".searchField").css("background", bgColor);
		}
	});
}
function RHSTopicBuilder() {
	var rhsTopicLength = $(".container .rhs h2").length;
	if (rhsTopicLength > 1) {
		var i = 0;
		$(".container .rhs h2").each(function () {
			var id = "nav" + i;
			if ($(this).attr("id") != undefined) {
				id = $(this).attr("id");
			}
			$(this).attr("id", id);
			rhsNavList += "<li><a href=#" + id + ">" + $(this).text() + "</a></li>";
			i++;
		});
		rhsNav =
			"<div class='stickyRhs'><h3>On this page</h3><ul>" +
			rhsNavList +
			"</ul></div>";
		$(".container .rhs").after(rhsNav);
	}
	sections = $(".rhs h2"),
		nav = $(".stickyRhs"),
		nav_height = nav.outerHeight();
}
function onWindowScroll() {
	$(window).on("scroll", function () {
		var cur_pos = $(this).scrollTop();
		sections.each(function () {
			var top = $(this).offset().top - nav_height + 20,
				bottom = top + $(this).outerHeight();
			if (cur_pos >= top && cur_pos <= bottom) {
				nav.find("a").removeClass("active");
				nav.find('a[href="#' + $(this).attr("id") + '"]').addClass("active");
			}
		});
		var windowTop = $(window).scrollTop();
		if ($(window).scrollTop() > 100) {
			windowTop += 60;
			$(".stickyRhs").css("top", windowTop);
		} else {
			$(".stickyRhs").css("top", "80px");
		}
	});
}

function templateScript() {
	$(".mob-act").click(function () { $(".right-menu").addClass("menushow"); });
	$("ul.right-menu li:nth-child(1) span").click(function () { $(".right-menu").removeClass("menushow"); });
	var loc = document.location + "";
	if (loc.search("https://www.manageengine.com") !== -1) { $(".downloadd").css({ "display": "block" }); $(".getquo").css({ "display": "none" }); }
	else { $(".downloadd").css({ "display": "none" }); $(".getquo").css({ "display": "block" }); }
	$(window).scroll(function () {
		if ($(window).scrollTop() >= 350)
			$('.btn-mob-bann').addClass('btn-mob-bann-act');
		else {
			$('.btn-mob-bann').removeClass('btn-mob-bann-act');
		}
	});
	$("ul.relPro li").mouseover(function () {
		if ($(this).hasClass("hrel")) {
		} else {
			$("ul.relPro li div").stop(true).slideUp(500);
			$("ul.relPro li").stop(true).css("border", "none");
			$("div", this).stop(true).slideDown(500);
			$(this).stop(true).css({ "border-top": "solid 1px #f3f3f3", "border-bottom": "solid 1px #f3f3f3" });
		}
	});
}
function rhsScrollStoper(){
	setTimeout(function() {
		if ($('.in').length > 0) {
			$('.lhs').animate({
				scrollTop: $('.in').last().offset().top - 200
			});
			if (!$('.book').hasClass('in')) {
				$('.in').last().children('a').addClass('highlight');
			}
		}
	}, 300)
}

function initializer() {
	setSearchBackgroundColor();
	initialHashHandling();
	checkConnection();
	mobileMenuHandler();
	innerLinksScrollingToId();
	menuBuilder();
	searchHandler();
	breadCrumbsGenerator();
	RHSTopicBuilder();
	onWindowScroll();
	templateScript();
	linkClickHanlder();
	rhsScrollStoper();
	
}




//ignorei18n_end